Skip to main content
GET
/
projects
/
{projectId}
/
accounts
/
{accountId}
/
platform-inputs
Error
A valid request URL is required to generate request examples
{
  "accountId": "<string>",
  "platform": "PINTEREST",
  "platformSpecificInputs": {
    "pinterest": {
      "boards": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ]
    },
    "tiktok": {
      "privacyLevelOptions": [
        "PUBLIC_TO_EVERYONE"
      ],
      "commentDisabled": true,
      "duetDisabled": true,
      "stitchDisabled": true,
      "maxVideoPostDurationSec": 2
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

Project identifier.

accountId
string
required

Connected publishing account identifier.

Response

200 - application/json

Account-specific platform input options.

accountId
string
required

Connected publishing account identifier.

platform
enum<string>
required

Social platform for the connected account.

Available options:
PINTEREST,
LINKEDIN,
LINKEDIN_PAGES,
INSTAGRAM,
FACEBOOK,
TIKTOK,
X,
YOUTUBE
platformSpecificInputs
object
required